package cn.com.pc.penguin.builder.keyword;

import cn.com.pc.penguin.service.QueryBuilder;
import cn.com.pc.penguin.service.SearchArgs;
import cn.com.pc.penguin.service.SearchType;
import cn.com.pc.penguin.service.impl.SearchTypes;

import java.util.Map;


public class KeywordSearchArgs extends SearchArgs {
	
	//自动提示
	private String suggestion;
	
	//相关关键字推荐
	private String recommendion;

    private Map<String,String> otherParams;
   
	public String getSuggestion() {
		return suggestion;
	}

	public void setSuggestion(String suggestion) {
		this.suggestion = suggestion;
	}

	public String getRecommendion() {
		return recommendion;
	}

	public void setRecommendion(String recommendion) {
		this.recommendion = recommendion;
	}

    public Map<String, String> getOtherParams() {
        return otherParams;
    }

    public void setOtherParams(Map<String, String> otherParams) {
        this.otherParams = otherParams;
    }

    public SearchType getSearchType() {
		return SearchTypes.KEYWORD;
	}

	@Override
	public QueryBuilder getQueryBuilder() {
		return KeywordQueryBuilder.getInstance();
	}
}
